package com.ssj.service.course.res;

import java.util.List;
import java.util.Map;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * 
 * wuwen
 * 2018年10月19日10:29:28
 * 家长端的课程数据
 * @author wuwen
 *
 */
public class CourseSeriesRes extends BaseRequest{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String 	libId;
	
	/**
	 * 课程Id
	 */
	private String id;
	/**
	 * 课程名称
	 */
	private String courseName;
	
	/**
	 * 课程图片
	 */
	private String coverUrl;
	/**
	 * 课程对象
	 */
	private String courseTarget;
	/**
	 * 班级人数
	 */
	private String classPnum;
	/**
	 * 课程时数
	 */
	private String coursePlan;
	
	/**
	 * 课程简介
	 */
	private String courseSummary;
	
	 /**
	 * 老师name
	 */
	 private String teacherName;
	 
	 /**
	  * 课程明细
	  * 
	  */
	 private List<Map<String,Object>> details;


	public String getCoverUrl() {
		return coverUrl;
	}

	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseTarget() {
		return courseTarget;
	}

	public void setCourseTarget(String courseTarget) {
		this.courseTarget = courseTarget;
	}

	public String getClassPnum() {
		return classPnum;
	}

	public void setClassPnum(String classPnum) {
		this.classPnum = classPnum;
	}

	public String getCoursePlan() {
		return coursePlan;
	}

	public void setCoursePlan(String coursePlan) {
		this.coursePlan = coursePlan;
	}

	public String[] getCourseSummary() {
		return courseSummary.replaceAll("\r","").replaceAll("\n", "").split("；");
		
	}

	public void setCourseSummary(String courseSummary) {
		this.courseSummary = courseSummary;
	}



	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public List<Map<String, Object>> getDetails() {
		return details;
	}

	public void setDetails(List<Map<String, Object>> details) {
		this.details = details;
	}

	

	
	
}
